package gov.va.vinci.dart.db;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.DataSource;

import java.util.List;

public interface DataSourceDAO  {

	DataSource findById(final int dataSourceId) throws ObjectNotFoundException;
	List<DataSource> listAll();
	List<DataSource> findByDocumentTemplateId(final int documentTemplateId);
	List<Integer> findDisabledIdByRequestType(final int requestTypeId);
	List<DataSource> findByHeaderIdAndRequestType(final int dataSourceHeaderId, final int requestTypeId);
}